/*  OpenOlap viewer
 *  パッケージ名：openolap.viewer
 *  ファイル：TimeDimensionInfo.java
 *  説明：時間ディメンションの情報を定義するクラスです。
 *
 *  更新日: 2004/01/06
 */
package openolap.viewer.common;

/**
 *  クラス：TimeDimension
 *  説明：時間ディメンションの情報を定義するクラスです。
 */
public class TimeDimensionInfo {

	// ========== クラス変数 ==========

	// 時間軸の表示名

	/** yearの表示名をあらわす文字列 */
	private static String yearLevelString    = "年";

	/** halfの表示名をあらわす文字列 */
	private static String halfLevelString    = "半期";

	/** quarterの表示名をあらわす文字列 */
	private static String quarterLevelString = "四半期";

	/** monthの表示名をあらわす文字列 */
	private static String monthLevelString   = "月";

	/** weekの表示名をあらわす文字列 */
	private static String weekLevelString    = "週";

	/** dayの表示名をあらわす文字列 */
	private static String dayLevelString     = "日";


	// ========== メソッド ==========

	/**
	 * 与えられた時間軸のレベルの名称をもとに表示名を求める。
	 * @param timeLevel 
	 */
	public String getTimeLevelDisplayString( String timeLevel ) {
		if(timeLevel == null){ throw new IllegalArgumentException(); }

		if ( timeLevel.equals("year") ) {
			return yearLevelString;
		} else if ( timeLevel.equals("half") ) {
			return halfLevelString;
		} else if ( timeLevel.equals("quarter") ) {
			return quarterLevelString;
		} else if ( timeLevel.equals("month") ) {
			return monthLevelString;
		} else if ( timeLevel.equals("week") ) {
			return weekLevelString;
		} else if ( timeLevel.equals("day") ) {
			return dayLevelString;
		} else {
			throw new IllegalArgumentException();
		}
	}


}
